Please deploy 0.15.0 loop-client to STAGE

VERIFIED FIXED

Status

VERIFIED FIXED
4 years ago
4 years ago

People

(Reporter: standard8, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
------------------
RELEASE NOTES
------------------
https://github.com/mozilla/loop-client/releases

COMPARISONS
https://github.com/mozilla/loop-client/compare/0.13.4...0.13.5
https://github.com/mozilla/loop-client/compare/0.13.5...0.14.0
https://github.com/mozilla/loop-client/compare/0.14.0...0.15.0

TAGS
https://github.com/mozilla/loop-client/releases/tag/0.15.0
https://github.com/mozilla/loop-client/commit/d706753dbcacfe17081d8c04b54652dbee36302f

CHANGELOG
0.15.0 (2015-03-09)
-------------------

- Bug 1047040 - Add browser-specific graphic of GUM prompt to the media-wait message
- Bug 1131550 - Loop-client extraction script should preserve locale information when importing m-c changes
- Bug 1135133 - Loop-client extraction script should support pulling from different repositories/branches
- Bug 1137469 - If an uncaught exception occurs whilst processing an action, the dispatcher can fail, rendering parts of Loop inactive
- Bug 1131568 - Update the OpenTok SDK to version 2.5.0
Hey Dean, if you have time tomorrow (Tues.3/10) would you be willing to deploy this to stage? 

If we're also able to complete the prod deployment tomorrow, I'd like to follow-on with a loop-push deployment on Wed. or Thurs. if that works for you.
Flags: needinfo?(dwilson)
QA Contact: rpappalardo
deanw on workweek, so bobm will be handling the deployment
Flags: needinfo?(dwilson) → needinfo?(bobm)
This has been deployed to stage.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Flags: needinfo?(bobm)
Resolution: --- → FIXED
------------------
SUMMARY
------------------

Placed several calls back and forth between Nightly and DevEd(Aurora) including some window sharing.

In addition to camera/mic sharing window, new graphic appears on (Nightly) Firefox Hello page stating:
"Firefox Hello requires access to your camera and microphone"

X-Frame-Options: SAMEORIGIN now appears in header

Verifying stage.


------------------
STAGE VALIDATION
------------------

STAGE STACK
$ cat /data/loop-client/content/VERSION.txt:
0.15.0
d706753dbcacfe17081d8c04b54652dbee36302f Mon, 9 Mar 2015 20:20:56 +0000

$ rpm -qa | grep loop-client:
loop-client-svcops 0.15.0-1 x86_64 10278962



PROCESSES RUNNING:
stackdriver, nginx, python, circus, heka  

------------------
QUICK CHECKS - STAGE
------------------

$ make test 
unit tests on localhost with 0.15.0 tag - OK!


https://call.stage.mozaws.net/VERSION.txt
0.15.0
d706753dbcacfe17081d8c04b54652dbee36302f Mon, 9 Mar 2015 20:20:56 +0000
matches:
https://github.com/mozilla/loop-client/commit/d706753dbcacfe17081d8c04b54652dbee36302f


https://call.stage.mozaws.net/:
Welcome to the Firefox Hello web client.


Legal & ToS with FTU - OK!


$ curl -I https://call.stage.mozaws.net

HTTP/1.1 200 OK
Accept-Ranges: bytes
Content-Length: 6956
Content-Security-Policy: frame-ancestors 'self'
Content-Type: text/html
Date: Tue, 10 Mar 2015 20:11:17 GMT
ETag: "54ff3e83-1b2c"
Last-Modified: Tue, 10 Mar 2015 18:57:07 GMT
Vary: Accept-Encoding
X-Frame-Options: SAMEORIGIN
X-Token-Match: 1
Connection: keep-alive


https://loop.stage.mozaws.net/:
{
  "name": "mozilla-loop-server",
  "description": "The Mozilla Loop (WebRTC App) server",
  "version": "0.15.6",
  "homepage": "https://github.com/mozilla-services/loop-server/",
  "endpoint": "https://loop.stage.mozaws.net",
  "fakeTokBox": false,
  "fxaOAuth": true,
  "i18n": {
    "defaultLang": "en-US",
    "lang": "en-US"
  }
}
Status: RESOLVED → VERIFIED
Flags: needinfo?(bobm)
Bug 1141737 - Please deploy 0.15.0 loop-client to PRODUCTION
Blocks: 1141737
Clearing needinfo.
Flags: needinfo?(bobm)
You need to log in before you can comment on or make changes to this bug.